package org.example.demo.praktikum1.aufgabe2;
import org.example.demo.praktikum1.aufgabe1.Calculator;

import jakarta.ejb.Stateful;

@Stateful
public class StatefulCalculator implements StatefulCalculatorRemote {
    private double state;

    public double addiere(float zahl1, float zahl2) {
        return state = new Calculator().addiere(zahl1, zahl2);
    }
    public double subtrahiere(float zahl1, float zahl2) {
        return state = new Calculator().subtrahiere(zahl1, zahl2);
    }
    public double multipliziere(float zahl1, float zahl2) {
        return state = new Calculator().multipliziere(zahl1, zahl2);
    }
    public double dividiere(float zahl1, float zahl2) {
        return state = new Calculator().dividiere(zahl1, zahl2);
    }

    public double addiere(float zahl) {
        return state = new Calculator().addiere((float)state, zahl);
    }
    public double subtrahiere(float zahl) {
        return state = new Calculator().subtrahiere((float)state, zahl);
    }
    public double multipliziere(float zahl) {
        return state = new Calculator().multipliziere((float)state, zahl);
    }
    public double dividiere(float zahl) {
        return state = new Calculator().dividiere((float)state, zahl);
    }
}
